Package org.eclipse.rdf4j.federated.evaluation

## Class FederationEvaluationStrategyFactory

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.AbstractEvaluationStrategyFactory
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategyFactory
    - - org.eclipse.rdf4j.federated.evaluation.FederationEvaluationStrategyFactory

- All Implemented Interfaces:
    `EvaluationStrategyFactory`, `FederatedServiceResolverClient`

      public class FederationEvaluationStrategyFactory
      extends StrictEvaluationStrategyFactory

  Factory class for retrieving the `FederationEvalStrategy` to be used.

  Default strategies:

  - local federation: `SailFederationEvalStrategy`
  - endpoint federation: `SparqlFederationEvalStrategy`
  - hybrid federation: `SparqlFederationEvalStrategy`

  Customized strategies can be supplied to the federation using `FedXFactory.withFederationEvaluationStrategyFactory(FederationEvaluationStrategyFactory)`

  Author:
    Andreas Schwarte

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FederationEvaluationStrategyFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FederationEvalStrategy` | `createEvaluationStrategy​(Dataset dataset, TripleSource tripleSource, EvaluationStatistics evaluationStatistics)` | Create the `FederationEvalStrategy` to be used.
    `FederationContext` | `getFederationContext()` |
    `FederationManager.FederationType` | `getFederationType()` |
    `void` | `setFederationContext​(FederationContext federationContext)` |
    `void` | `setFederationType​(FederationManager.FederationType federationType)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategyFactory

      `getFederatedServiceResolver, setFederatedServiceResolver`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.AbstractEvaluationStrategyFactory

      `getOptimizerPipeline, getQuerySolutionCacheThreshold, isTrackResultSize, setOptimizerPipeline, setQuerySolutionCacheThreshold, setTrackResultSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategyFactory

      `getOptimizerPipeline, getQuerySolutionCacheThreshold, isTrackResultSize, setOptimizerPipeline, setQuerySolutionCacheThreshold, setTrackResultSize`

- - ### Constructor Detail

    - #### FederationEvaluationStrategyFactory

          public FederationEvaluationStrategyFactory()

  - ### Method Detail

    - #### getFederationType

          public FederationManager.FederationType getFederationType()

    - #### setFederationType

          public void setFederationType​(FederationManager.FederationType federationType)

    - #### getFederationContext

          public FederationContext getFederationContext()

    - #### setFederationContext

          public void setFederationContext​(FederationContext federationContext)

    - #### createEvaluationStrategy

          public FederationEvalStrategy createEvaluationStrategy​(Dataset dataset,
                                                                 TripleSource tripleSource,
                                                                 EvaluationStatistics evaluationStatistics)

      Create the `FederationEvalStrategy` to be used. Note: all parameters may be `null`
      Specified by:
        `createEvaluationStrategy` in interface `EvaluationStrategyFactory`
      Overrides:
        `createEvaluationStrategy` in class `StrictEvaluationStrategyFactory`
      Parameters:
        `dataset` - the DataSet to evaluate queries against.
        `tripleSource` - the TripleSource to evaluate queries against.
        `evaluationStatistics` - the store evaluation statistics to use for query optimization.
      Returns:
        an EvaluationStrategy.